Package com.io7m.cardant.parsers

# Class CAConstraintExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CAConstraintExpressions

public final class CAConstraintExpressions extends CAExpressions
Expression parsers for type constraints.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAConstraintExpressions(CAStrings inStrings)`
  Expression parsers for type constraints.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.jranges.RangeInclusiveL`
  `integerRange(String text)`
  Parse a range.
  `CAMonetaryRange`
  `monetaryRange(String text)`
  Parse a range.
  `com.io7m.jranges.RangeInclusiveD`
  `realRange(String text)`
  Parse a range.
  `protected Map<CAStringConstantType,CAStringConstantType>`
  `syntax()`
  `CATimeRange`
  `timeRange(String text)`
  Parse a range.

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, serialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAConstraintExpressions

    public CAConstraintExpressions(CAStrings inStrings)
    Expression parsers for type constraints.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### syntax

    protected Map<CAStringConstantType,CAStringConstantType> syntax()
    Specified by:
      `syntax` in class `CAExpressions`

  - ### timeRange

    public CATimeRange timeRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### integerRange

    public com.io7m.jranges.RangeInclusiveL integerRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### realRange

    public com.io7m.jranges.RangeInclusiveD realRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### monetaryRange

    public CAMonetaryRange monetaryRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors